Api
Intake Subscription Fact
Authorization
WorkspaceApiKey X-Api-Key<token>
Workspace-owned Better Auth API key of one environment (Sandbox or Live); it authorizes the Projects of that environment in its Workspace. A Project of the other environment returns 403 ENVIRONMENT_MISMATCH. Never expose it in the browser.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/subscriptions/facts" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string", "sourceNamespaceId": "string", "participant": { "kind": "individual", "externalId": "string" }, "occurredAt": "string", "externalSubscriptionId": "string", "kind": "subscription.started", "commencementPhase": "trial" }'{ "success": true}